Bug 162590 - Speedup opening of the heap dump
Speedup opening of the heap dump
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: PERFORMANCE, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 14:05 UTC by Tomas Hurka
Modified: 2009-05-22 14:24 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2009-04-14 14:05:50 UTC
It is not necessary to zero-fill memory mapped file in AbstractLongMap.
Comment 1 Tomas Hurka 2009-04-14 17:00:54 UTC
org.netbeans.lib.profiler.heap.zerofile system property added for backward compatibility.
Fixed in profiler-main
changeset:   126605:d596d55bdafe
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Apr 14 17:58:50 2009 +0200
summary:     bugfix #162590, do not zero memory-mapped file


Comment 2 Quality Engineering 2009-04-16 08:08:26 UTC
Integrated into 'main-golden', will be available in build *200904160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d596d55bdafe
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #162590, do not zero memory-mapped file


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo